package com.example.iot_controlhost.model.sensor;

/**
 * 光照传感器
 */
public class LightSensor extends Sensor {

    /**
     * 光照值
     */
    private double light;

    public LightSensor(String name) {
        super(name);
    }

    /**
     * 噪声传感器解析
     */
    @Override
    public boolean collectSensorData(String model, String address) {
        return false;
    }


    @Override
    public String[] getModels() {
        return new String[]{"?"};
    }


    @Override
    public String toString() {
        return  "光照：" + light + "lx";
    }


    public double getLight() {
        return light;
    }

    public void setLight(double light) {
        this.light = light;
    }

    @Override
    public boolean setAddressToNewAddress(String model, String oldAddress,String oldBaud, String newAddress) {
        return false;
    }

    @Override
    public boolean setBaudToNewBaud(String model, String oldAddress, String newBaud) {
        return false;
    }
}
